#ifndef __QWS_AQUA_DECORATION_QWS_H__
#define __QWS_AQUA_DECORATION_QWS_H__


#include "qwsdefaultdecoration_qws.h"


#ifndef QT_NO_QWS_AQUA_WM_STYLE


class QWSAquaDecoration : public QWSDefaultDecoration
{
public:
    QWSAquaDecoration();
    virtual ~QWSAquaDecoration();

    virtual QRegion region(const QWidget *, const QRect &rect, Region);
    virtual void paint(QPainter *, const QWidget *);
    virtual void paintButton(QPainter *, const QWidget *, Region, int state);
protected:
//    virtual int getTitleWidth(const QWidget *);
    virtual int getTitleHeight(const QWidget *);
    virtual const char **menuPixmap();
    virtual const char **closePixmap();
    virtual const char **minimizePixmap();
    virtual const char **maximizePixmap();
    virtual const char **normalizePixmap();
};


#endif // QT_NO_QWS_AQUA_WM_STYLE


#endif // __QWS_AQUA_DECORATION_QWS_H__
